services:
  synapse:
    image: matrixdotorg/synapse:latest
    container_name: synapse
    restart: unless-stopped
    environment:
      - SYNAPSE_SERVER_NAME=matrix.gnatsocks.com
      - SYNAPSE_REPORT_STATS=yes
    volumes:
      - ./synapse-data:/data
    ports:
      - "8008:8008"
  element:
    image: vectorim/element-web:latest
    container_name: element
    restart: unless-stopped
    environment:
      - DEFAULT_HS_URL=https://matrix.gnatsocks.com
    volumes:
      - ./element-data:/app/config
    ports:
      - "8090:80"
